Skip to contents

# Add a compass

Source: `R/map.R`
`add_compass.Rd`

Add a compass

## Usage

    add_compass(
      text_size = 0.6,
      position = c("right", 0.8),
      color_dark = cols_reach("black"),
      text_color = cols_reach("black"),
      type = "4star",
      ...
    )

## Arguments

text_size

  Relative font size.

position

  Position of the compass. Vector of two values, specifying the x and y coordinates.

color_dark

  Color of the dark parts of the compass.

text_color

  color of the text.

type

  Compass type, one of: "arrow", "4star", "8star", "radar", "rose".

...

  Other arguments to pass to `tmap::tm_compass()`.

## Value

A tmap layer.